<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabaseConfig..::.SetPartitionByKeys Method
BTreeDatabaseConfig Class See Also Send Feedback

Enable database partitioning using the specified partition keys. Return true if partitioning is successfully enabled; otherwise return false. An array of DatabaseEntry where each array entry defines the range of key values to be stored in each partition

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public bool SetPartitionByKeys(
    	DatabaseEntry[] keys
    )

Visual Basic (Declaration)

    Public Function SetPartitionByKeys ( _
    	keys As DatabaseEntry() _
    ) As Boolean

Visual C++

    public:
    bool SetPartitionByKeys(
    	array<DatabaseEntry^>^ keys
    )

#### Parameters

keys
  Type: array< BerkeleyDB..::.DatabaseEntry >[]()[]

# See Also

BTreeDatabaseConfig Class
BerkeleyDB Namespace